package com.chuanxia.mcp.bean.dto;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;

@EqualsAndHashCode(callSuper = true)
@Data
@ApiModel("分页查询ua配置实体")
public class UaQueryDto extends PageQueryBaseDto {
    @ApiModelProperty("设备")
    private String device;
    @ApiModelProperty("设备浏览器")
    private String browser;
    @ApiModelProperty("浏览器版本")
    private String browserVersion;
    @ApiModelProperty("系统")
    private String os;
    @ApiModelProperty("级别:1.高,2.中,3.低")
    private Integer level;
}
