package com.chuanxia.mcp.bean.model;

import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.Date;

/**
 * @author Administrator
 */
@TableName("cdn_ua")
@Data
@ApiModel("ua")
public class CdnUa {
    @TableId("id")
    @ApiModelProperty("主键")
    private Integer id;

    @TableField("browser")
    @ApiModelProperty("设备浏览器")
    private String browser;

    @ApiModelProperty("浏览器版本")
    @TableField("browser_version")
    private String browserVersion;

    @ApiModelProperty("操作系统")
    @TableField("os")
    private String os;
    @ApiModelProperty("级别:1.高,2.中,3.低")
    @TableField("level")
    private Integer level;

    @TableField("create_by")
    private Integer createBy;
    @TableField("create_time")
    private Date createTime;
    @TableField("update_by")
    private Integer updateBy;
    @TableField("update_time")
    private Date updateTime;
}
