package com.chuanxia.mcp.bean.model;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.fasterxml.jackson.annotation.JsonProperty;
import lombok.Data;

import java.util.ArrayList;
import java.util.List;

@TableName("video_m3u8")
@Data
public class VideoM3u8 {
    @TableId(type = IdType.AUTO)
    private Integer id;

    @TableField("video_id")
    private String videoId;
    @TableField("resolution")
    private String resolution;
    @TableField("bandwidth")
    private String bandwidth;

    @TableField("version")
    @JsonProperty("VERSION")
    private String VERSION;

    @TableField("targetduration")
    @JsonProperty("TARGETDURATION")
    private String TARGETDURATION;

    @TableField("sequence")
    @JsonProperty("SEQUENCE")
    private String SEQUENCE;

    @TableField("type")
    @JsonProperty("TYPE")
    private String TYPE;

    @TableField("extinf")
    @JsonProperty("EXTINF")
    private String EXTINF;


    @TableField("ts_last_time")
    @JsonProperty("TS_LAST_TIME")
    private String TS_LAST_TIME;

    @TableField("prefix_path")
    @JsonProperty("PREFIX_PATH")
    private String PREFIX_PATH;

    @TableField("ts_start")
    @JsonProperty("TS_START")
    private String TS_START;

    @TableField("ts_end")
    @JsonProperty("TS_END")
    private String TS_END;

    @TableField("ts_name")
    @JsonProperty("TS_NAME")
    private String TS_NAME;

    @TableField("iv")
    @JsonProperty("IV")
    private String IV;

    @JsonProperty("KEY")
    @TableField("`key`")
    private String KEY;

    @JsonProperty("TS_LIST")
    private List<VideoTs> TS_LIST;

    @TableField("ts_list")
    private String tsListStr;
}
