package com.chuanxia.mcp.service;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.service.IService;
import com.chuanxia.mcp.bean.dto.DomainTimeRuleBindDto;
import com.chuanxia.mcp.bean.dto.DomainTimeRuleQueryDto;
import com.chuanxia.mcp.bean.model.CdnTimeRule;
import com.chuanxia.mcp.bean.vo.CdnDomainTimeRuleVo;
import com.chuanxia.mcp.bean.vo.Result;

public interface CdnTimeRuleService extends IService<CdnTimeRule> {
    Result<String> bindTimeRule(DomainTimeRuleBindDto timeRule);

    Result<IPage<CdnDomainTimeRuleVo>> listPage(DomainTimeRuleQueryDto queryDto);

    Result deleteById(Integer id);
}
